package com.zipcodewilmington.bankaccountlab;

enum AccountType {
    SAVINGS {
        @Override
        public Account getAccount(int amount) {
            return new SavingsAccount(amount);
        }
    },
    CHECKING {
        public Account getAccount(int amount) {
            return new CheckingAccount(amount);
        }
    },
    BUSINESS {
        public Account getAccount(int amount) {
            return new BusinessAccount(amount);
        }
    };
    public abstract Account getAccount(int amount);
}
