package com.zipcodewilmington.bankaccountlab;

import java.util.Scanner;

/**
 * Created by leon on 1/10/18.
 */
public class MainApplication {
    private Account currentAccount;

    public void setCurrentAccount(Account newAccount) {
        this.currentAccount = newAccount;
    }

    public Account getCurrentAccount() {
        return this.currentAccount;
    }

    public Account createAndSetNewAccount(String accountType, int amount) {
        Account newAccount = AccountFactory.getAccount(accountType, amount);
        setCurrentAccount(newAccount);
        return newAccount;
    }

    public void start() {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Welcome to the ATM.");
        while(true) {
            System.out.println("[C]reate a new bank account.");
            System.out.println("[U]se another bank account.");
            System.out.println("[W]ithdraw money.");
            System.out.println("[D]eposit money.");
            String command = scanner.nextLine();

            if (command.equals("c")) {
                System.out.println("[Business] - [Savings] - [Checking]");
                String typeOfAccount = scanner.nextLine();
                System.out.println("Insert amount money as first deposit.");
                int amount = Integer.parseInt(scanner.nextLine());
                createAndSetNewAccount(typeOfAccount, amount);
                System.out.println("Account created.");
            }

            if (command.equals("u")) {
                System.out.println("[Business] - [Savings] - [Checking]");
                String typeOfAccount = scanner.nextLine();
                System.out.println("Insert amount money as first deposit.");
                int amount = Integer.parseInt(scanner.nextLine());
                createAndSetNewAccount(typeOfAccount, amount);
                System.out.println("Successfully switched accounts.");
            }

            if (command.equals("w")) {
                System.out.println("How much would you like to withdraw?");
                int amount = Integer.parseInt(scanner.nextLine());
                currentAccount.withdrawBalance(amount);
                System.out.println("Transaction completed.");
            }

            if (command.equals("d")) {
                System.out.println("How much would you like to deposit?");
                int amount = Integer.parseInt(scanner.nextLine());
                currentAccount.addBalance(amount);
                System.out.println("Transaction completed.");
            }
        }
    }

    public static void main(String[] args) {
        MainApplication ma = new MainApplication();
        ma.start();
    }
}
