package com.zipcodewilmington.bankaccountlab;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;


public class AccountTest {
    public class TestAccount extends Account {
        public TestAccount(int balance) {
            super(balance);
        }


        @Override
        public boolean withdrawBalance(int withdrawalAmount) {
            return false;
        }
    }

    TestAccount ta;

    @Before
    public void setUp() throws Exception {
        ta = new TestAccount(1000);
    }

    @Test
    public void getBalanceTest() {
        int expected = 1000;
        int actual = ta.getBalance();
        assertEquals(expected, actual);
    }

    @Test
    public void constructorTest() {
        int expected = 1000;
        int actual = ta.getBalance();
        assertEquals(expected, actual);
    }

    @Test
    public void addBalanceTest() {
        int expected = 2500;
        int actual = ta.addBalance(1500).getBalance();
        assertEquals(expected, actual);
    }

    @Test
    public void subtractBalanceTest() {
        int expected = 500;
        int actual = ta.subtractBalance(500).getBalance();
        assertEquals(expected, actual);
    }


    @Test
    public void mockObjectExtendsAbstract() {
        assertTrue(ta instanceof Account);
    }
}